This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 214764 - Review Request: hunspell - split hunspell out from OpenOffice.org
Review Request: hunspell - split hunspell out from OpenOffice.org
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-09 07:16 EST by Caolan McNamara
Modified: 2013-01-09 23:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 13:05:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2006-11-09 07:16:50 EST
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-1.1.4-1.src.rpm
Description: hunspell is the spellchecker that OpenOffice.org uses, currently it's bundled as part of OOo, this splits it out to make it available for other applications to use
Comment 1 Jeremy Katz 2006-11-10 14:01:48 EST
So, what are the chances of actually making it so that we don't have the
continued gross duplication of spell checking functionality and dictionaries
between hunspell and aspell?
Comment 2 Caolan McNamara 2006-11-10 14:15:11 EST
That's related but not quite what this mini-task is for, this is just to get the
libhunspell independent of OOo, no dictionaries are included in libhunspell itself.

At the moment you've got OOo, firefox and sort-of vim all hauling effectively
copies of the same hunspell/myspell format dictionaries around. I say we at
least split libhunspell out of OOo, then update firefox to use hunspell instead
of myspell. Split the myspell/hunspell dictionaries out of firefox and OOo and
put them in one place under e.g. /usr/share/hunspell 

The duplication of data between aspell and hunspell is still a problem, one of
them needs to read the format of the other. bug 207571 relates to dictionary
data proliferation
Comment 3 Caolan McNamara 2006-11-10 14:44:06 EST
FWIW a sample dictionary src.rpm for Afrikaans would look something like...

http://people.redhat.com/caolanm/hunspell/hunspell-af-0.20060117-1.src.rpm

demo hunspell invocation to use above...
> echo foome | hunspell -d af_ZA
Hunspell 1.1.4
& foome 1 0: fooie
Comment 4 Alexander Larsson 2006-11-27 11:32:36 EST
Release: 1

You want some %{?dist} action

%package devel
Requires: hunspell = %{version}-%{release}

I think
Requires: %name = %{PACKAGE_VERSION}
is better (handles epoch too)

Otherwise it looks good to me
Comment 5 Caolan McNamara 2006-11-27 12:34:50 EST
updated spec for above comments

total rpmlint output is: "W: hunspell-devel no-documentation"
Comment 6 Alexander Larsson 2006-11-28 05:15:38 EST
Looks ok to me then.
Comment 7 Jesse Keating 2006-11-28 11:54:34 EST
Any reason why you're packaging the .a file?  We don't normally do that unless
absolutely necessary.  I'll add the package, but please fix that.

Please close this bug when you've built for rawhide.
Comment 8 Caolan McNamara 2006-11-28 13:05:49 EST
all done
Comment 9 Caolan McNamara 2008-04-18 09:02:46 EDT
Package Change Request
======================
Package Name: hunspell
New Branches: f-10
Comment 10 Kevin Fenzi 2008-04-18 12:20:21 EDT
I assume you want a F-9 early branch here? 
cvs done. 

F-9 => what will go into F-9
deve => what will go into F-10

Note You need to log in before you can comment on or make changes to this bug.